agency-board

POST /v1/agency/boards/{boardId}/event-subscriptions

Turn a platform event on for this board.

모든 agency-board 엔드포인트

인증

Bearer 토큰으로 API 키를 전송하세요. 이 엔드포인트는 명세에 특정 권한을 명시하지 않으므로, 가정하기보다는 키에 필요한 최소한의 권한을 부여하고 응답을 확인하세요.

이 엔드포인트는 조직 ID를 받지 않습니다. 사용자의 키가 이미 속한 조직을 식별하며, 응답은 해당 조직으로 한정됩니다.

무료 체험하기

대괄호 안에 있는 모든 내용을 사용자 지정 값으로 바꾸고, 키 플레이스홀더는 대시보드의 키로 바꾸세요.

curl -X POST https://api.zinndigital.com/v1/agency/boards/{boardId}/event-subscriptions \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "event_type": <string>, "column_id": <Uuid> }'

로그인하셨나요? 대시보드의 API 콘솔이 실제 조직 ID와 본인의 키를 자동으로 채우고 라이브 API를 대상으로 요청을 실행하므로 실제 응답을 확인할 수 있습니다. API 콘솔에서 이 엔드포인트를 여세요

상세 정보

Opt-in, per board, off by default — nothing appears on a board nobody chose. One subscription per event type per board; posting the same event type again updates it. Cards land `internal` unless you say otherwise: a platform event names our own infrastructure and sometimes our own failures, and putting one in front of the agency's client should be a choice rather than a default.

매개변수

이름유형필수설명
boardId (path)UuidProject board ID (UUIDv7).

요청 본문

이름유형필수설명
event_typestring
column_idUuidUUIDv7 identifier — sortable by creation time (docs/02 §8).
label_idUuid아니요UUIDv7 identifier — sortable by creation time (docs/02 §8).
card_visibilitystring<internal, client>아니요
enabledboolean아니요

응답

이름유형필수설명
idUuidUUIDv7 identifier — sortable by creation time (docs/02 §8).
board_idUuidUUIDv7 identifier — sortable by creation time (docs/02 §8).
event_typestring
column_idUuidUUIDv7 identifier — sortable by creation time (docs/02 §8).
label_idUuid아니요UUIDv7 identifier — sortable by creation time (docs/02 §8).
card_visibilitystring<internal, client>아니요
enabledboolean
card_countinteger아니요
last_card_atstring아니요
created_atstring아니요

이 엔드포인트가 반환할 수 있는 오류

401 · 403 · 404 · 422